--
-- @author: (Decker_MMIV - www.ls-uk.info)
-- @date:   2011-10-02
--
-- @brief:  Tricks the game-scripts to actually consume fuel and seeds,
--          when an AI-worker is hired to do the job.
--

HiredConsumesResources = {}

function HiredConsumesResources.getIsHired(self)
  -- Assumption: Looks like only SowingMachine.lua, Sprayer.Lua & Steerable.Lua 
  -- calls this function, to determine if fuel/seeds/fertilizer needs to be decreased or not.
  -- We just "lie", and tell them that it is _not_ controlled by a hired-worker.
  return false;
end;

--if <something> then
--Vehicle.getIsHired = Utils.appendedFunction(Vehicle.getIsHired, HiredConsumesResources.getIsHired);
--else
Vehicle.getIsHired = HiredConsumesResources.getIsHired;
--end;

print("Script loaded: HiredConsumesResources.lua");
